Subject: bug#48388: closed (Re: [bug#48388] [PATCH v5 1/3] gnu: Add dmlc-core.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 25 Sep 2021 20:15:02 +0000

Your bug report

#48388: [PATCH 0/3] Add xgboost.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48388: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48388
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#48388] [PATCH v5 1/3] gnu: Add dmlc-core.
From: Leo Famulari <[email-masked]>
To: Vinicius Monego <[email-masked]>
Cc: [email-masked]
Date: Sat, 25 Sep 2021 16:14:34 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Sep 25, 2021 at 07:36:49PM +0000, Vinicius Monego wrote:
> * gnu/packages/machine-learning.scm (dmlc-core): New variable.

Thanks! I pushed v5 of this patch series as commit
40a6d8eb7de42248c886c447a299256853054912

Subject: [PATCH 0/3] Add xgboost.
From: Vinicius Monego <[email-masked]>
To: [email-masked]
Cc: Vinicius Monego <[email-masked]>
Date: Wed, 12 May 2021 23:56:49 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This patchset adds the binaries, C++ library and Python frontend for the XGBoost gradient boosting framework.

I noticed r-xgboost in the packages, which compiles a bundled copy of xgboost. Ideally it would inherit from xgboost and build from there, but I do not work with R so I can't help with this.

I also had to do some dirty hack in the python patch for reading version and using libxgboost from the xgboost package. Lmk is there is a better way to handle this.

Vinicius Monego (3):
  gnu: Add dmlc-core.
  gnu: Add xgboost.
  gnu: Add python-xgboost.

 gnu/local.mk                                  |   2 +
 gnu/packages/machine-learning.scm             | 125 ++++++++++++++++++
 ...xgboost-python-use-system-libxgboost.patch |  69 ++++++++++
 .../xgboost-use-system-dmlc-core.patch        |  35 +++++
 4 files changed, 231 insertions(+)
 create mode 100644 gnu/packages/patches/xgboost-python-use-system-libxgboost.patch
 create mode 100644 gnu/packages/patches/xgboost-use-system-dmlc-core.patch

-- 
2.31.1